# Uses of Interface
javax.swing.event.TreeWillExpandListener

Packages that use TreeWillExpandListener
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of TreeWillExpandListener in javax.swing

Methods in javax.swing that return TreeWillExpandListener
Modifier and Type
Method
Description
`TreeWillExpandListener[]`
JTree.`getTreeWillExpandListeners()`
Returns an array of all the `TreeWillExpandListener`s added to this JTree with addTreeWillExpandListener().
Methods in javax.swing with parameters of type TreeWillExpandListener
Modifier and Type
Method
Description
`void`
JTree.`addTreeWillExpandListener(TreeWillExpandListener tel)`
Adds a listener for `TreeWillExpand` events.
`void`
JTree.`removeTreeWillExpandListener(TreeWillExpandListener tel)`
Removes a listener for `TreeWillExpand` events.